Bug 1453189 - python-hivex: Provide a Python 3 subpackage
Summary: python-hivex: Provide a Python 3 subpackage
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hivex
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2017-05-22 11:09 UTC by Iryna Shcherbina
Modified: 2017-06-09 19:07 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-06-09 19:07:34 UTC


Attachments (Terms of Use)

Description Iryna Shcherbina 2017-05-22 11:09:19 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 1 Richard W.M. Jones 2017-05-22 11:22:18 UTC
I thought we did already, but I just checked and in fact we don't.
I'll take a look at this later today.

Comment 2 Richard W.M. Jones 2017-05-22 14:20:55 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=19690347

A python3-hivex subpackage has been created.

The old Python package is now called python2-hivex, with
appropriate provides/obsoletes so it automatically
replaces the old one.

Comment 3 Charalampos Stratakis 2017-05-22 14:25:10 UTC
(In reply to Richard W.M. Jones from comment #2)
> https://koji.fedoraproject.org/koji/taskinfo?taskID=19690347
> 
> A python3-hivex subpackage has been created.
> 
> The old Python package is now called python2-hivex, with
> appropriate provides/obsoletes so it automatically
> replaces the old one.

Would it be possible to push the change also for F26?

Comment 4 Fedora Update System 2017-05-22 14:43:57 UTC
hivex-1.3.14-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8407da80a1

Comment 5 Fedora Update System 2017-05-23 18:15:17 UTC
hivex-1.3.14-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8407da80a1

Comment 6 Fedora Update System 2017-06-09 19:07:34 UTC
hivex-1.3.14-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.